Last Comment Bug 357480 - Opening or adding .ics files to calendar by double click
: Opening or adding .ics files to calendar by double click
Status: NEW
[lang=js]
:
Product: Calendar
Classification: Client Software
Component: OS Integration (show other bugs)
: unspecified
: All All
: -- enhancement with 165 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors: Philipp Kewisch [:Fallen]
: 383012 402274 540174 701089 723202 1191596 1310890 (view as bug list)
Depends on:
Blocks: 411525 549199
  Show dependency treegraph
 
Reported: 2006-10-21 04:01 PDT by bugzilla
Modified: 2016-10-18 08:01 PDT (History)
90 users (show)
philipp: needinfo? (mcicogni)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description bugzilla 2006-10-21 04:01:39 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1) Gecko/20061010 blub
Build Identifier: Lightning 0.3 Build 2006100618 on Thunderbird 1.5.0.7

It's not possible to open a .ics file with a double click. Additionally there is no error message stating that this is not possible.

Reproducible: Always

Steps to Reproduce:
1. Double click on a .ics file 
2. Select thunderbird as application


Actual Results:  
Nothing happens

Expected Results:  
events in the .ics-file should be added to the calender
Comment 1 Robert "Unlogic" Olofsson 2006-10-31 12:43:59 PST
I can reproduce this bug in Lightning 0.4a1 build 2006103107. Opening a .ics file using Thunderbird with lightning installed does nothing, not even a warning message.
Comment 2 cmtalbert 2006-10-31 15:13:01 PST
I think we can confirm this. If Lightning is the only calendar application on the user's machine, then we should be associated with the ICS files on that machine.
Comment 3 Kevin Benton 2006-11-14 16:56:04 PST
Since MS-Outlook delivers .ICS files, I would think this should be a critical fix in Lightning.
Comment 4 Omar Bajraszewski 2007-06-03 00:47:50 PDT
*** Bug 383012 has been marked as a duplicate of this bug. ***
Comment 5 Stefan Sitter 2007-11-02 15:15:10 PDT
*** Bug 402274 has been marked as a duplicate of this bug. ***
Comment 6 Bas van den Bosch 2007-11-17 10:54:45 PST
dupe of bug 362285?
Comment 7 Philipp Kewisch [:Fallen] 2010-03-07 12:03:55 PST
*** Bug 540174 has been marked as a duplicate of this bug. ***
Comment 8 David Rees 2011-10-20 07:00:28 PDT
Four years old and 31 votes, yet no movement. Sigh.

This would also handle http://getsatisfaction.com/mozilla_messaging/topics/automatic_opening_of_icalendar_ics_email_attachments.

Thunderbird already supports opening EML files on the command line (#242959) and its possible for extensions to process command line arguments (http://support-calendar.1097866.n2.nabble.com/Open-ics-files-with-lightning-td3769107.html).
Comment 9 Allan Gardner (:Mathnerd314) 2011-10-23 10:07:12 PDT
Seems like there's an issue as to how to interpret opening it. It could mean you want to import the events into some calendar, or it could mean you to create a new calendar + calendar subscription.

Other bugs, possibly duplicates: bug 261460, bug 423374, bug 359807

Looks like there was a command line handler rewrite that got abandoned...
Comment 10 gkarasik 2011-10-23 10:15:56 PDT
(In reply to Mathnerd314 from comment #9)
> Seems like there's an issue as to how to interpret opening it. It could mean
> you want to import the events into some calendar, or it could mean you to
> create a new calendar + calendar subscription.

Other bugs, possibly
> duplicates: bug 261460, bug 423374, bug 359807

Looks like there was a
> command line handler rewrite that got abandoned...

Intuition tell me that the vast majority will want to import into existing.

GaryK
Comment 11 gkarasik 2011-10-23 10:16:42 PDT
(In reply to Mathnerd314 from comment #9)
> Seems like there's an issue as to how to interpret opening it. It could mean
> you want to import the events into some calendar, or it could mean you to
> create a new calendar + calendar subscription.

Other bugs, possibly
> duplicates: bug 261460, bug 423374, bug 359807

Looks like there was a
> command line handler rewrite that got abandoned...

Intuition tells me that the vast majority will want to import into existing.

GaryK
Comment 12 Robert "Unlogic" Olofsson 2011-10-23 11:41:05 PDT
(In reply to gkarasik from comment #11)
> Intuition tells me that the vast majority will want to import into existing.
> 
> GaryK

I'd say your intuition is correct.
Comment 13 Bas van den Bosch 2011-10-23 11:58:23 PDT
Unless the argument is an url, then one would want to subscribe imho...
Comment 14 Philipp Kewisch [:Fallen] 2011-11-09 14:43:20 PST
*** Bug 701089 has been marked as a duplicate of this bug. ***
Comment 15 David Rees 2012-02-01 11:04:56 PST
They got this working for VCF/vCard files in 646638, can you build on what they did for ICS/iCalendar?
Comment 16 Stefan Sitter 2012-02-01 11:06:18 PST
*** Bug 723202 has been marked as a duplicate of this bug. ***
Comment 17 David Rees 2012-02-01 11:08:31 PST
Sorry, here is an actually link to the bug 646638 (forgot the bug keyword)

Also related (but not implemented yet) is Bug 694891 - File opening should be extensible
Comment 18 Philipp Kewisch [:Fallen] 2012-02-01 12:38:22 PST
The patch in bug 646638 is the easy part, we could probably add a command line handler that fixes that quite easily.

The hard part is actually registering this with the OS. On windows we can't just do it natively, we have to use a helper app that requests UAC access.

The helper app being used for Firefox/Thunderbird is currently a nsis script that isn't very much extensible. We could probably change that script to add parameters as to what extensions should be added, but I could imagine it coudl become a source for exploits.
Comment 19 haydnlowe 2012-02-08 23:33:50 PST
It has occurred to me that _where_ you double click is not clear in this ticket. (ideally double click on a .ics in the OS would be great)

BUT, For me the main frustration is that I cannot double click an .ics attachment in an email from within thunderbird - it asks me what app to open it with, when I'd prefer it was handed to Lightning to load or import.

Generally meeting invites work OK (accept decline) - but sometimes I recieve .ics files (from mac Outlook), which has an empty body, and an .ics attachment.
Thuderbird/lightning doesn't seem to identify it as a calender entry (there is no accept/decline option presented for the message) -  (a mac mail client seems to load it OK if you click it) - so from within thunderbird, I end up with an .ics file I can't do anything with.

my next step is to either save it locally and then import it (forget it!)

better would just be able to double click the file (within Thunderbird) and have lightning at least try to do something with it - or tell me that there is something wrong with the file format


When I read the email in thunderbird (empty email with an ics attachment), thunderbird doesn't seem to be able to do anything with the .ics attachment.

Here's the contents of the meeting.ics file from Mac Outlook / Entourage: 

BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Microsoft Corporation//Outlook for Mac MIMEDIR//EN
METHOD:REQUEST
BEGIN:VTIMEZONE
TZID:Canberra, Melbourne, Sydney
X-ENTOURAGE-TZID:51
X-ENTOURAGE-CFTIMEZONE:Australia/Sydney
BEGIN:DAYLIGHT
TZNAME:Daylight
RRULE:FREQ=YEARLY;INTERVAL=1;BYDAY=1SU;BYMONTH=10
TZOFFSETFROM:+1000
TZOFFSETTO:+1100
DTSTART:20111002T020000
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:Standard
RRULE:FREQ=YEARLY;INTERVAL=1;BYDAY=1SU;BYMONTH=4
TZOFFSETFROM:+1100
TZOFFSETTO:+1000
DTSTART:20120401T030000
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
UID:DEC40C2B-0ECD-4670-B04F-A2CEA3EFC8AE
X-ENTOURAGE_UUID:DEC40C2B-0ECD-4670-B04F-A2CEA3EFC8AE
DTSTAMP:20120209T044900Z
DTSTART;TZID="Canberra, Melbourne, Sydney":20120214T080000
DTEND;TZID="Canberra, Melbourne, Sydney":20120214T090000
LAST-MODIFIED:20120209T044900Z
SUMMARY:Haydn
DESCRIPTION:As discussed….\n
LOCATION:BlueOlive
ORGANIZER:MAILTO:harold@mhits.com.au
SEQUENCE:0
ATTENDEE;ROLE=REQ-PARTICIPANT;RSVP=TRUE;CN="FirstName
 Lastname";PARTSTAT=NEEDS-ACTION:MAILTO:haydn@email.nowhere.com
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
X-MICROSOFT-CDO-ALLDAYEVENT:FALSE
X-MICROSOFT-CDO-INSTTYPE:0
BEGIN:VALARM
ACTION:DISPLAY
DESCRIPTION:REMINDER
TRIGGER;RELATED=START:-PT00H15M00S
END:VALARM
END:VEVENT
END:VCALENDAR
Comment 20 David Rees 2012-03-11 22:12:31 PDT
Another place is ICS files in Firefox, that is where I run into them all the time (Southwest, Meetup, Facebook, etc). Outlook and iCal handle them easily.

For TB I can easily bind the ICS type to TB using the normal Firefox dialog, then Firefox happily passes it on the command line. Unfortunately Thunderbird then treats it like an attachment. So if you could do the "easy" part I would actually consider it to be a huge improvement.

For OS level, in Windows even if TBird doesn't create the mapping itself, users can easily do a Open With then selecting Thunderbird in the applications list and checking "always use with this type of file". So its a simple use manual step to meet all the user needs.
Comment 21 David Taber 2012-03-21 10:31:22 PDT
In TB 10.0.2 and lightning 1.2 on windows7 this issue is still very much alive.  

I changed the file association on windows for the ics file type to TB, and I got rid of the file association in the TB Attachments option...now when I double-click on the attachment it opens in a text editor.  If I save it to the file system, and then double-click on the file, it opens up a mail window.

Lightning doesn't see the ics at all, even I manually import it using the Events and Tasks menu item.
Comment 22 Mike McDougal 2012-05-08 12:14:10 PDT
I agree with David Taber... this is still an issue. to accept an .ics event into Lightning from a webpage I have to click the link, then select open with Thunderbird (treats it as an attachment in new email), then send it to myself. Then I get the accept/decline option upon opening the email I had to send to myself. Too many steps! I would expect to click the link, open in Thunderbird, see the accept/decline option.
Comment 23 marcel 2012-05-09 23:24:35 PDT
(In reply to Mike McDougal from comment #22)
It's cumbersome enough but not nearly as cumbersome as described in comment #22.
- in browser right-click the .ics(-link) and select "save as..." to save the .ics somewhere on your machine
- in TB with Lightning select "Events and Tasks" -> "Import" and point to the stored .ics
Done.
Comment 24 haydnlowe 2012-05-10 06:57:53 PDT
see my comment #19. I've found that some mail clients (macs usually - send an ics file that isn't identified by thunderbird) - then I end up with an ics file that I can't seem to do anything with easily. - I want lightning to pick this up.

I understand there are complexities, but there must be a happy compromise

RE comment 23

Done. Easy? - try and explain this to a customer. Cumbersome to a user = they won't use it.

Answer: give up on Lightning and recommend they use outl$$k - these issues are more important than many people realise

I'm afraid that these days, Calendar entries need to be a one click item.
(in emails, on your file system, or in websites) - two click at most. right click, save here, option a,b,c click here, do that... simple.? NOT simple enough to your average user

I would like to, but I cannot offer this to our customers until TB and Lightning improves its integration with calendar ics files.  Integration with Outlook seems to be ~OK, but ics files from outlook for mac or macs in general still needs some work.  Improving ics file handling would help alot.
Comment 25 André Schild 2012-05-10 07:24:41 PDT
I think ICS should be as follow:

1. User doubleclick .isc file
2. TB opens
3. - If only one calendar is in TB add the event to that calendar
   - If more than one calendar exists, ask to user to which calendar it should be added

I don't see why something else should happen....
Comment 26 Robert "Unlogic" Olofsson 2012-05-10 07:27:19 PDT
I agree with André.
Comment 27 marcel 2012-05-10 07:27:58 PDT
(In reply to haydnlowe from comment #24)
> RE comment 23
> 
> Done. Easy? - try and explain this to a customer. Cumbersome to a user =
> they won't use it.

No, certainly not. I never said it was easy. But a lot less painful than what comment #22 describes.
Comment 28 CS 2012-05-24 09:50:13 PDT
"A lot less painful"?  This is typical of a techie attitude that condemns products.

What's needed here is simple, seamless handling of calendar files.  How it should work has been described by several commenters here.  It's not adding any value to make comments amounting to "Here's another way to do it, it only required 7 steps, not 12!"
Comment 29 Kirby 2012-11-19 16:21:39 PST
"It's not adding any value to make comments amounting to "Here's another way to do it, it only required 7 steps, not 12!""

I recently switched from Outlook to Thunderbird and was trying to figure out how to use the ics file. This page was the first result on google but I was a bit dismayed to find out this has not been fixed. I was happy to see the work around provided by Marcel. I DID add value and was very helpful. At least to me it was. And it was certainly way more valuable than your worthless post.

Marcel, don't let idiots keep you from posting helpful suggestions here.
Comment 30 marcel 2012-11-20 12:37:43 PST
(In reply to Kirby from comment #29)
> Marcel, don't let idiots keep you from posting helpful suggestions here.

No worries.
I care very little about people who intentionally or unintentionally misinterpret my clear statements. Doesn't "It's cumbersome enough but not nearly as cumbersome as described in comment #22" and "I never said it was easy. But a lot less painful than what comment #22 describes" make it clear that I'm everything but pleased with how one currently has to work around the issue? It certainly does.
Comment 31 Remy 2012-11-20 14:56:34 PST
Here is the source of a mail I wish I can add the event to a Lightning calendar I one click.

Here is a sample email :


From: Capitaine Train <calendrier@capitainetrain.com>
To: XXX.XXXXX@XXXXXXX.com
Message-ID: <50ac07b0f49f_46c632a6e020305d@sa4.prod.capitainetrain.com.mail>
Subject: =?UTF-8?Q?=C3=89v=C3=A8nement_pour_votre_trajet_Toulouse_=E2=86=92?=
 =?UTF-8?Q?_Paris_=2825_nov._13:38=29?=
Mime-Version: 1.0
Content-Type: multipart/alternative;
 boundary="--==_mimepart_50ac07b0c9ef_46c632a6e020272e";
 charset=UTF-8
Content-Transfer-Encoding: 7bit



----==_mimepart_50ac07b0c9ef_46c632a6e020272e
Date: Tue, 20 Nov 2012 23:44:00 +0100
Mime-Version: 1.0
Content-Type: text/plain;
 charset=UTF-8
Content-Transfer-Encoding: quoted-printable
Content-ID: <50ac07b0e542_46c632a6e0202893@sa4.prod.capitainetrain.com.mail>

XXX,

Vous trouverez ci-joint l'=C3=A9v=C3=A8nement .ics =C3=A0 ajouter =C3=A0 =
votre calendrier pour le trajet XXXX =E2=86=92 XXXX.

Ceci n'est pas un billet. Vous devez voyager avec vos titres de transport=
s, et justificatifs de r=C3=A9duction =C3=A9ventuels.

Si vous ne souhaitez plus recevoir les =C3=A9v=C3=A8nements .ics, vous po=
uvez les d=C3=A9sactiver dans vos pr=C3=A9f=C3=A9rences sur le site Capit=
aine Train.

Capitaine Train
https://app.capitainetrain.com/


----==_mimepart_50ac07b0c9ef_46c632a6e020272e
Date: Tue, 20 Nov 2012 23:44:00 +0100
Mime-Version: 1.0
Content-Type: text/calendar;
 charset=UTF-8;
 method=REQUEST
Content-Transfer-Encoding: quoted-printable
Content-ID: <50ac07b0ee38_46c632a6e0202972@sa4.prod.capitainetrain.com.mail>

BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//com.capitainetrain/Tickets 1.0//EN
CALSCALE:GREGORIAN
METHOD:REQUEST
BEGIN:VEVENT
DTEND;VALUE=3DDATE-TIME:20121125T190700Z
STATUS:TENTATIVE
DTSTART;VALUE=3DDATE-TIME:20121125T123800Z
TRANSP:TRANSPARENT
DTSTAMP;VALUE=3DDATE-TIME:20121120T224400Z
ATTENDEE;CUTYPE=3DINDIVIDUAL;ROLE=3DREQ-PARTICIPANT;PARTSTAT=3DNEEDS-ACTI=
ON;RSV
 P=3DTRUE;X-NUM-GUESTS=3D0;CN=3DR=C3=A9my XXX:MAILTO:XXX.XXXXX@X=
XXX.com
UID:c545ae1156ad9284fdde9018af3024c6080653d2@capitainetrain.com
DESCRIPTION:Comment obtenir votre billet=C2=A0?\n------------------------=
----
 --\n\n
SUMMARY:XXXX
ORGANIZER;CN=3DCapitaine Train:MAILTO:calendrier@capitainetrain.com
LOCATION:XXXX
SEQUENCE:0
END:VEVENT
END:VCALENDAR


----==_mimepart_50ac07b0c9ef_46c632a6e020272e--
Comment 32 Remy 2012-11-20 15:04:30 PST
A clever way is to right click in the mail content then select Convert > Event.
Comment 33 Alessandro Surace 2012-11-30 01:07:23 PST
No way to import directly from shell like:
thunderbird -event file.ics 

?
Comment 34 Remy 2012-11-30 01:09:00 PST
Actually it is not *that* user friendly. But the worst thing is that Thunderbird don't show me the .ics file, I just have a message : "This message contains an event"
Comment 35 lohner 2013-03-06 04:23:20 PST
I've tried this under kubuntu, but no luck:
http://superuser.com/questions/382022/how-do-i-get-thunderbird-to-open-an-ics-attachment-directly-in-lightnings-calen

OPTION 1:
1. Open the "Today Pane" ie. the Events panel on the right hand side next to the email list.
2. Drag&Drop the ics-file onto that pane.
RESULT: does nothing for me.

OPTION 2:
1. Convert to -> Event
RESULT: doesn't work, because it doesn't show / read the info from the .ics file so I have no idea for when the invitation was.

+1 for comment #33 or any solution that doesn't involve saving the file out, and then importing the ics into the calendar.
Comment 36 lohner 2013-03-07 12:58:34 PST
Here's a workaround to mail yourself the file easily. Create a shell script that takes a filename as an argument, and do something like:

mutt me@myemail.net -s "ICS event mail" -a /path/filename.ics < ./default_ics_message.txt 

...with the filename being the argument for the file obviously. Then a right-click on the file and open it with the script, and when the mail arrives you should be able to jsut accept the event. I had to do this because .ics files opened with https://addons.mozilla.org/en-us/thunderbird/addon/lookout/ aren't seen by the calendar.

I do have a problem with the charset, which is set to en_DK.utf-8 but umlauts get killed anyway. mutt -e to set the charset might work (need to test), see http://stackoverflow.com/questions/6805783/send-html-page-as-email-using-mutt
Comment 37 slmingol 2013-08-30 13:46:31 PDT
Using Thunderbird 17.04 the method where you drag the .ics file into the Events Panel works.

comment#35:

> OPTION 1:
> 1. Open the "Today Pane" ie. the Events panel on the right hand side next 
> to the email list.
> 2. Drag&Drop the ics-file onto that pane.
> RESULT: does nothing for me.
Comment 38 Mauro Cicognini 2013-09-04 00:23:02 PDT
(In reply to Philipp Kewisch [:Fallen] (from comment #18)
> The patch in bug 646638 is the easy part, we could probably add a command
> line handler that fixes that quite easily.
> 
> The hard part is actually registering this with the OS. [...]

Could you please then do the easy part? I'd do it myself but I'm little acquainted on the Mozilla patch process.

We can leave the hard part for later, if ever, and/or give some instructions to the user on how to register with the OS manually.
Comment 39 Ronald 2013-11-06 03:10:55 PST
(In reply to David Rees from comment #8)
> Four years old and 31 votes, yet no movement. Sigh.

6 years old and over 100 votes, yet no movement, Sigh.

Ps I am trying to sort something out for someone, and all we can get is the body_part_1.ics.

Dragging into the event panel does not work for me on Thunderbird 24.
I can not get an import calendar ( I am using a calDav calendar tried creating a local calendar)
All I can do is create a new calendar with the .ics file not much use.

Naturally the calendar shows up perfectly in the users outlook and since it is from our main global client, we can not ask them to stop using exchange.

Finally found the menu item 

Menu (thing on right hand side)
Events and Tasks (not File which allows you to create a new calendar)
Import ...
Select the file to import


Time wasted about 6 hours so far
Comment 40 Paul Kallnbach 2013-11-07 13:12:26 PST
As for the moment (TB 25, Lightning 2.7b1) I can't even import .ics files over the "Events and Tasks" -> "Import" menu. I tried two different events, one wouldn't raise an error but would not import either (just nothing), the other event triggered Server Error 412 on my CalDAV-Server (Davical).

dragging the ics file in the event panel doesn't work for me either.

I don't agree with cs's choice of words (comment #28) but I think he's right that opening ics-files is something users encounter more and more often and it should be as smooth as an experience as possible.
Comment 41 Carsten Boettcher 2013-11-13 07:07:14 PST
Hi all,

I had the same problem too. My colleague using a Mac with Outlook sent me ics files. I found out that Outlook for Mac is using a line inside the ics file which seems not be allowed.

The line was: X-ENTOURAGE_UUID:2AC6BAE8-F948-473D-816F-6F6C75860CEE

When I saved the ics on my desktop, opened it with an editor, deleted the line a dragged the ics file to my calendar it worked well.
Comment 42 Joe 2013-11-13 14:19:23 PST
This issue is an evidence of incapability of open source development. Mozilla claims there is nothing left to be developed for an email client.... but this piddling issue is not yet solved... after more then 7 years that I reported it. What a shame. 

At least it gives me something to laugh about every time I still receive an email somebody commenting on it....
Comment 43 Vittorio Giovara 2013-11-13 22:29:22 PST
(In reply to Joe from comment #42)
> This issue is an evidence of incapability of open source development.
> Mozilla claims there is nothing left to be developed for an email client....
> but this piddling issue is not yet solved... after more then 7 years that I
> reported it. What a shame. 
> 
> At least it gives me something to laugh about every time I still receive an
> email somebody commenting on it....

This is not the way open source works fyi...
Just opening a feature request won't guarantee you that features will get done: start a bounty, help developers in getting resources or learn to code and implement this yourself. Whining on a bugzilla thread will only annoy developers and spam some innocent people, so please don't do it.

That being said, this would be a nice feature to have indeed, developers is there anything we can do to support you?
Comment 44 Philipp Kewisch [:Fallen] 2013-11-14 23:50:30 PST
I'm sorry I can't offer immediate help right now, but I'd be happy to mentor anyone willing to fix this bug.
Comment 45 Andi 2013-12-10 03:20:34 PST
(In reply to Vittorio Giovara from comment #43)
> (In reply to Joe from comment #42)
> > This issue is an evidence of incapability of open source development.
> > Mozilla claims there is nothing left to be developed for an email client....
> > but this piddling issue is not yet solved... after more then 7 years that I
> > reported it. What a shame. 
> > 
> > At least it gives me something to laugh about every time I still receive an
> > email somebody commenting on it....
> 
> This is not the way open source works fyi...
> Just opening a feature request won't guarantee you that features will get
> done: start a bounty, help developers in getting resources or learn to code
> and implement this yourself. Whining on a bugzilla thread will only annoy
> developers and spam some innocent people, so please don't do it.
> 
> That being said, this would be a nice feature to have indeed, developers is
> there anything we can do to support you?

It should be how Mozilla works.  Mozilla is currently begging for donations on its Google homepage, even though it had a net income of US$21.6 million in 2011 (source: Wikipedia), 600+ employees (source: Wikipedia) to develop its small handful of applications and a huge, expensive headquarters in the heart of silicon valley, just down the road from Google's HQ (source: Google Maps).  Conversely, many of us have full-time jobs, give our work voluntarily to the community, deal with bugs reported to us in a timely fashion and thank our users for their efforts in reporting them to us.  Forget bounty: Mozilla has enough Bounty to sink an armada.  What it needs to do now is adequately maintain its products.  Nuff said.
Comment 46 Philipp Kewisch [:Fallen] 2013-12-10 15:44:39 PST
Sorry, this is not the forum for governance discussions. Please understand that Lightning is a community project which is supported by Mozilla with a certain amount of release engineering and hosting only. We do not receive money from any of the donation runs Mozilla is doing and I am doing a large part of the maintenance myself. Money is not the solution here, we need a strong community to support and contribute to Lightning. Following the Mozilla spirit, Lightning is a good example on how every individual can make a difference. I understand you want this bug fixed, but this is not about maintenance, but about adding new features.
Comment 47 Robert "Unlogic" Olofsson 2013-12-11 00:05:35 PST
I wish there was a fund reserved only for lightning development that we could donate funds to. Since this is a community project as stated above that would feel much better than donating money to Mozilla and having no idea if the funds go to the "right" project.
Comment 48 Andi 2013-12-11 02:38:37 PST
(In reply to Philipp Kewisch [:Fallen] from comment #46)

Thanks for explaining, Philipp.  That's very helpful information for us.  I don't think anybody who is querying this issue believes developers of Lightning are at fault; and we must thank you for the development and support you've put into the product from which we all benefit.

But I think I must disagree on this point:

> Sorry, this is not the forum for governance discussions. 

This discussion is about solving the problem described in the bug.  If the show-stopper is governance, this discussion should be about establishing that (which it's done) and fixing it, in order that the bug is fixed.

> Please understand
> that Lightning is a community project which is supported by Mozilla with a
> certain amount of release engineering and hosting only. We do not receive
> money from any of the donation runs Mozilla is doing and I am doing a large
> part of the maintenance myself. Money is not the solution here, 

I would say that money is clearly the solution here: you should be allocated some to improve the product.  Lightning is the reason many people use Mozilla Thunderbird.  

As I mentioned above, a company that has a net income (what would be called 'Profit' in another company) of US$21.6 and massive offices in Silicon Valley can afford to develop its assets, and has a vested interest in doing so.  It is morally wrong for a corporation in their position to rely on the generosity of volunteers for a core part of their service offering.  There are community projects which rely on voluntary contributions by necessity, but there is no justification for Lightning to be one of them.

> I understand you want this bug fixed, but this is not about
> maintenance, but about adding new features.

I agree. It's about adding new features to keep the product relevant.

> we need a
> strong community to support and contribute to Lightning. Following the
> Mozilla spirit, Lightning is a good example on how every individual can make
> a difference. 

There are different kinds of contribution.  Coding is one of them, and not everybody has those particular talents or skill-sets.  Reporting bugs (and feature requests) and using a product (especially one from which the [Mozilla] project derives indirect income) are also contributions.  Campaigning to Mozilla to fund Lightning properly would also be a contribution, and a valuable one in my view.

I think we need some guidance about how (and to whom) to direct such a campaign.
Comment 49 Philipp Kewisch [:Fallen] 2013-12-11 03:34:47 PST
Bugzilla is for technical discussions that are specifically for fixing this bug. The discussion you are bringing up here is very general and could happen on any other bug.

Even if there were funds, this is not the first bug I would fix. There are various bugs out there that need to be taken care of to provide stability. Adding a new feature is nice, but if alarms cannot be dismissed in some cases, invitations are not processed correctly or updates are a nightmare, there is no point in double-clicking on an .ics file in the first place.

Lightning has always been a community project, so this is nothing new. Other companies have funded Lightning in the past. For a while Mozilla was doing so for one developer. This was connected to Thunderbird being funded, which is no longer in Mozilla's focus. If you can convince Mozilla that Thunderbird is a product that brings Mozilla's mission forward and contributes to the success of the company, then this is a first step to allocating company funds to Lightning. Given their focus on Firefox OS and related technologies, I highly doubt this is going to happen in the near future.

This is my last post on this topic on this bug. If you want to further discuss this, please use the newsgroups. https://groups.google.com/forum/#!forum/mozilla.governance would probably be a good start, as your issue is more of a general Mozilla issue. Personally I'd rather see you use the energy to lead QA efforts, manage support or blog about project updates and statistics.
Comment 50 Orion Poplawski 2014-01-27 08:55:21 PST
We've gotten a request in Fedora (https://bugzilla.redhat.com/show_bug.cgi?id=1058074) to register thunderbird with lightning as a calendar app.  We can certainly do this, but I don't think I want to until it does the right thing when opening a vcal file.
Comment 51 ebaynegs 2014-06-14 02:37:12 PDT
(In reply to slmingol from comment #37)
> Using Thunderbird 17.04 the method where you drag the .ics file into the
> Events Panel works.

It doesn't work in Windows 7 unless you hold down the CTRL key while you drag the .ics file on to the Events panel.

It seems to me that the code for opening ICS files is already there, it just needs to be re-jigged so that double clicking an ICS file will open it. Obviously i realise its not going to be that simple to do, but it should be easier than starting from scratch if the code to open the files is there already.


> comment#35:
> 
> > OPTION 1:
> > 1. Open the "Today Pane" ie. the Events panel on the right hand side next 
> > to the email list.
> > 2. Drag&Drop the ics-file onto that pane.
> > RESULT: does nothing for me.
Comment 52 bla123 2014-06-26 08:18:30 PDT
icedove 24.6.0 / lightning 2.6.6 / debian wheezy - only importing works, dragging to calendar pane and opening after download doesn't work
Comment 53 kidmose 2015-02-16 04:40:53 PST
Fails on: Thunderbird 31.2.0 / Lightning 3.3.3 / Linux mint 17.1 Cinnamon 

Drag and drop to today pane: Nothing happens
Drag and drop + CTRL to today pane: Nothing happens
Thunderbird menu -> Events and Tasks -> Import -> select file -> Pop-up: "Select Calendar" -> OK: Nothing happens
Comment 54 Mauro Cicognini 2015-03-16 07:01:26 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #44)
> I'm sorry I can't offer immediate help right now, but I'd be happy to mentor
> anyone willing to fix this bug.

Hi Philipp, I'd be willing to be mentored. Is there anything specific info or pointer?
I've tried several times to help but the codebase appears pretty daunting.

Thanks
Mauro
Comment 55 Philipp Kewisch [:Fallen] 2015-03-25 10:56:29 PDT
Hi Mauro, sorry for the delay.

I'm happy to hear you would like to work on this bug. Note that a complete solution might not be easy, but we can start with the simple parts. First of all it would be helpful to even allow importing or subscribing to calendar files using the command line.

There are two paths to consider when passing a file to Thunderbird/Lightning. It can either be imported (e.g. copied to an existing calendar or a new storage calendar), or it can be subscribed to (e.g using the ics provider, just subscribe to the file so that changes are being made directly in that file).

Maybe it would make sense to create an import dialog that explains and provides these two options. We could use it for bug 167255 too, although it doesn't have to be a wizard as mentioned there. When Thunderbird is started with the command line flag, then this dialog would show up and allow to select how to handle the file. Some optimizations can be made, e.g. don't offer subscription if the file is in a temporary directory or Downloads folder.

Once we have this, we can go for the next step and figure out how to make Thunderbird (with Lightning) the default application for .ics files. I'd suggest turning this one into a meta bug and filing a new bug that blocks this one to create the dialog. 

Does that sound like a plan to you? Feel free to ping me on IRC if you have ad-hoc questions.
Comment 56 [:MakeMyDay] 2015-08-06 02:26:47 PDT
*** Bug 1191596 has been marked as a duplicate of this bug. ***
Comment 57 Tilman Schmidt 2015-08-21 04:41:38 PDT
Is there anything I can do to help getting this problem resolved?
Comment 58 wizard7285@gwi.net 2015-09-05 09:45:54 PDT
This a problem for me as well.
Comment 59 public 2016-01-04 17:51:04 PST
This bug affect me as well. Please add ability to import ICS files to Thunderbird.
Comment 60 Saren Tasciyan 2016-02-29 01:36:53 PST
I have the same problem. I get often mails in HTML format and links for ICS file download. In TB, when I click to download those file, TB asks, if it should be opened in "Thunderbird (Mail)" or save it. There are no other options for the application to be opened with. If I choose to open with "Thunderbird (Mail)", then it is being opened as attachment.
Instead, TB could have asked, if I would like to import with Lightning or as an attachment. Also, another default application as an option would have been a solution (e.g. "Thunderbird (Lightning)").
I am using Ubuntu 14.04 LTS and have the TB 38.5.1.
Workaround is to save the file somewhere and import ICS file, which takes unnecessarily more clicks and temporary files.
Comment 61 Stefan Sitter 2016-10-18 08:01:25 PDT
*** Bug 1310890 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.